name: Build and Push Docker Images

on:
  push:
    branches:
      - main

jobs:
  docker:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Login to Gitea Registry
        run: |
          echo "${{ secrets.REGISTRY_PASSWORD }}" | docker login git.jeanbonapp.com -u "${{ secrets.REGISTRY_USER }}" --password-stdin

      - name: Build Backend Image
        run: |
          docker build \
            -t git.jeanbonapp.com/${{ secrets.REGISTRY_USER }}/vps-monitor-backend:latest \
            ./vps-monitor/backend

      - name: Push Backend Image
        run: |
          docker push git.jeanbonapp.com/${{ secrets.REGISTRY_USER }}/vps-monitor-backend:latest

      - name: Build Frontend Image
        run: |
          docker build \
            --build-arg VITE_APP_VERSION=$(echo ${{ gitea.sha }} | cut -c1-7) \
            --build-arg VITE_APP_ENV=Production \
            -t git.jeanbonapp.com/${{ secrets.REGISTRY_USER }}/vps-monitor-frontend:latest \
            ./vps-monitor/frontend

      - name: Push Frontend Image
        run: |
          docker push git.jeanbonapp.com/${{ secrets.REGISTRY_USER }}/vps-monitor-frontend:latest

